%define module	numpy

Summary:	Python array processing for numbers, strings, records, and objects
Name:		python-%{module}
Version:	1.2.1
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
Url: 		http://numpy.scipy.org
Source0:	http://downloads.sourceforge.net/numpy/%{module}-%{version}.tar.lzma
Requires:	python >= 2.4
BuildRequires:	python-devel >= 2.4
BuildRequires:	blas-devel
BuildRequires:	lapack-devel
BuildRequires:	gcc-gfortran >= 4.0
Provides:	f2py
Obsoletes:	f2py
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Numpy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. Numpy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

Numpy also provides facilities for basic linear algebra routines,
basic Fourier transforms, and random number generation.

%package devel
Summary:	Numpy library C bindings
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description devel
Install this if you need to access the Numpy C bindings.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags} -fPIC" %{__python} setup.py config_fc --fcompiler=gnu95 build

%install
%__rm -rf %{buildroot}

# Don't use --skip-build because it will cause some files to be left out of 
# the file list:
%{__python} setup.py install --root=%{buildroot} --record=FILELIST_ORIG.tmp

# Don't include original test files and ghost optimized bytecode files:
%__grep -Ev "\\.orig$" FILELIST_ORIG.tmp | %__sed 's/\(.*\.pyo\)/%ghost \1/' > FILELIST.tmp

# Move development files to multiarch-compliant location:
%__grep -Ev "include/numpy|\\.h$|\\.c$" FILELIST.tmp > FILELIST
%__grep -E "include/numpy|\\.h$|\\.c$" FILELIST.tmp > FILELIST_DEVEL
#%__grep -E "include/numpy|\\.h$|\\.c$" FILELIST.tmp > FILELIST_DEVEL.tmp
#%__mkdir -p -m 755 %{buildroot}%{multiarch_includedir}/python%{py_ver}/numpy
#for i in `%__cat FILELIST_DEVEL.tmp`; do
#   %__mv %{buildroot}$i %{buildroot}%{multiarch_includedir}/python%{py_ver}/numpy
#   j=`basename $i`
#   echo %{multiarch_includedir}/python%{py_ver}/numpy/$j >> FILELIST_DEVEL
#done

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt

%files devel -f FILELIST_DEVEL
%defattr(-,root,root,-)
%doc *.txt


%changelog
* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.com> 1.2.1-3mdv2009.1
+ Revision: 318550
- rebuild for new python

* Tue Nov 25 2008 Lev Givon <lev@mandriva.org> 1.2.1-2mdv2009.1
+ Revision: 306745
- Rebuild against lapack 3.2.

* Thu Oct 30 2008 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 298753
- Update to 1.2.1.

* Sun Oct 26 2008 Lev Givon <lev@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 297454
- Update to 1.2.0.

* Sun Aug 03 2008 Lev Givon <lev@mandriva.org> 1.1.1-1mdv2009.0
+ Revision: 262015
- Update to 1.1.1.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 1.1.0-2mdv2009.0
+ Revision: 233799
- Bump release to rebuild against reorganized blas/lapack libraries.

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 212881
- update to new version 1.1.0
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 13 2007 Lev Givon <lev@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 108503
- Update to 1.0.4.

* Fri Nov 09 2007 Lev Givon <lev@mandriva.org> 1.0.3.1-2mdv2008.1
+ Revision: 106991
- Bump release to rebuild against lapack 3.1.1.

* Wed Aug 22 2007 Lev Givon <lev@mandriva.org> 1.0.3.1-1mdv2008.0
+ Revision: 69185
- Update to 1.0.3.1.

* Wed Jun 20 2007 Lev Givon <lev@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 41659
- Update to 1.0.3.

* Tue Apr 17 2007 Lev Givon <lev@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 13991
- Update to 1.0.2.


* Mon Jan 22 2007 Lev Givon <lev@mandriva.org> 1.0.1-2mdv2007.0
+ Revision: 111955
- Patch to search for X11 libs in lib64 (Bug 28348).

* Sat Dec 02 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.1-1mdv2007.1
+ Revision: 90060
- new version 1.0.1

* Thu Oct 26 2006 Lev Givon <lev@mandriva.org> 1.0rc1-1mdv2007.1
+ Revision: 72558
- Import python-numpy

* Wed Sep 27 2006 Lev Givon <lev@mandriva.org> 1.0rc1-1mdk
- Update.

* Mon Jul 31 2006 Lev Givon <lev@mandriva.org> 1.0b1-1mdk
- Update.

* Tue May 23 2006 Lev Givon <lev@mandriva.org> 0.9.8-2mdk
- Put all .h files in devel package.

* Fri May 19 2006 Lev Givon <lev@mandriva.org> 0.9.8-1mdk
- Update.

* Tue Apr 25 2006 Lev Givon <lev@mandriva.org> 0.9.6-2mdk
- Fix build dependencies.

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.9.6-1mdk
- Update.

* Fri Mar 17 2006 Lev Givon <lev@mandriva.org> 0.9.5-4mdk
- Make package obsolete old f2py.

* Thu Mar 16 2006 Lev Givon <lev@mandriva.org> 0.9.5-3mdk
- Fix multiarch problem.

* Thu Mar 02 2006 Lev Givon <lev@mandriva.org> 0.9.5-2mdk
- Define devel package.

* Thu Feb 23 2006 Lev Givon <lev@mandriva.org> 0.9.5-1mdk
- Update.

* Tue Jan 31 2006 Lev Givon <lev@mandriva.org> 0.9.4-1mdk
- Update.

* Fri Jan 20 2006 Lev Givon <lev@mandriva.org> 0.9.2-1mdk
- Initial Mandriva package.

